Update of /cvsroot/fink/experimental/dmacks/finkinfo/gnome-2.26
In directory 
fdv4jf1.ch3.sourceforge.com:/tmp/cvs-serv24444/experimental/dmacks/finkinfo/gnome-2.26

Added Files:
        libgsf.info librsvg2.info 
Log Message:
checkpoint


--- NEW FILE: libgsf.info ---
Package: libgsf
Version: 1.14.14
Revision: 1

Depends: <<
        %N1.114-shlibs (= %v-%r),
        %N-bin (= %v-%r),
        fink-obsolete-packages
<<
BuildDepends: <<
        avahi-dev,
        bzip2-dev,
        dbus-dev (>= 1.2.1-1),
        gconf2-dev (>= 2.26.0-1),
        gettext-tools,
        glib2-dev (>= 2.20.0-1),
        gnome-vfs2-unified-dev (>= 1:2.24.1-1),
        gtk-doc (>= 1.8-1),
        intltool40,
        libavahi-glib1-dev,
        libbonobo2-dev (>= 2.24.1-1),
        libgettext3-dev,
        libiconv-dev,
        libxml2 (>= 2.6.30-1),
        orbit2-dev (>= 2.14.17-1),
        pkgconfig (>= 0.23),
        popt
<<

Source: mirror:gnome:sources/libgsf/1.14/libgsf-%v.tar.bz2
Source-MD5: 69e9c57d48539782f72c55824a3c6859

PatchScript: perl -pi -e 's/^(GETTEXT_PACKAGE=.*)/\1-1.114/' configure
SetCFLAGS: -Os
ConfigureParams: --mandir=%p/share/man --disable-gtk-doc --without-python 
--with-bz2 --with-gio --with-gnome-vfs --with-bonobo --disable-schemas-install 
--disable-dependency-tracking --disable-static
InstallScript: <<
        make install DESTDIR=%d
        mkdir -p %i/share/doc/installed-packages
        touch %i/share/doc/installed-packages/%N
<<

SplitOff: <<
        Package: libgsf-bin
        Depends: <<
                %N1.114-shlibs (= %v-%r),
                bzip2-shlibs,
                glib2-shlibs (>= 2.20.0-1),
                libgettext3-shlibs,
                libiconv,
                libxml2-shlibs (>= 2.6.30-1)
        <<
        Replaces: %N
        Files: bin share/man
<<

SplitOff2: <<
        Package: %N1.114-gnome-shlibs
        Depends: <<
                %N1.114-shlibs (= %v-%r),
                bzip2-shlibs,
                dbus-shlibs (>= 1.2.1-1),
                gconf2-shlibs (>= 2.26.0-1),
                glib2-shlibs (>= 2.20.0-1),
                gnome-vfs2-unified-shlibs (>= 1:2.24.1-1),
                libavahi-client3-shlibs,  
                libavahi-common3-shlibs,
                libavahi-glib1-shlibs,
                libbonobo2-shlibs (>= 2.24.1-1),
                libgettext3-shlibs,
                libiconv,
                libxml2-shlibs (>= 2.6.30-1),
                orbit2-shlibs (>= 2.14.17-1)
        <<
        Files: lib/libgsf-gnome-1.*.dylib
        Shlibs: %p/lib/libgsf-gnome-1.114.dylib 115.0.0 %n (>= 1.14.1-1)
        DocFiles: AUTHORS BUGS COPYING COPYING.LIB ChangeLog HACKING NEWS 
README TODO
<<
SplitOff3: <<
        Package: %N1.114-shlibs
        Depends: <<
                bzip2-shlibs,
                glib2-shlibs (>= 2.20.0-1),
                libgettext3-shlibs,
                libiconv,
                libxml2-shlibs (>= 2.6.30-1)
        <<
        Replaces: %N (<< 1.14.1-1)
        Files: lib/libgsf-1.*.dylib share/locale
        Shlibs: %p/lib/libgsf-1.114.dylib 115.0.0 %n (>= 1.14.1-1)
        DocFiles: AUTHORS BUGS COPYING COPYING.LIB ChangeLog HACKING NEWS 
README TODO
<<

SplitOff12: <<
        Package: %N1.114-gnome-dev
        Depends: %N1.114-gnome-shlibs (= %v-%r)
        Replaces: %N-gnome (<< 1.9.1-1), %N-gnome-dev
        Conflicts: %N-gnome-dev
        BuildDependsOnly: true
        Files: lib/libgsf-gnome-1* lib/pkgconfig/libgsf-gnome* 
include/libgsf-1/gsf-gnome
        DocFiles: AUTHORS BUGS COPYING COPYING.LIB ChangeLog HACKING NEWS 
README TODO
<<
SplitOff13: <<
        Package: %N1.114-dev
        Depends: %N1.114-shlibs (= %v-%r)
        Replaces: %N-shlibs (<< 1.9.1-1), %N, %N-dev, %N-doc
        Conflicts: %N-dev, %N-doc
        BuildDependsOnly: true
        Files: lib/libgsf-1* lib/pkgconfig/libgsf* include/libgsf-1/gsf 
share/gtk-doc
        DocFiles: AUTHORS BUGS COPYING COPYING.LIB ChangeLog HACKING NEWS 
README TODO
<<

Description: GNOME Structured File library
DescDetail: <<
A library for reading and writing structured files (eg MS OLE and Zip)
<<
DescPackaging: <<
  gtk-doc moved %N-doc -> %N as of 1.14.1-1 then -> %N1.114-dev later
  in 1.14 series.

  libgsf itself is what uses gettext, so the catalogs are there and
  are renamed to include the install_name versioning.

  Cannot build python bindings because files are missing from the
  tarball. See: http://bugzilla.gnome.org/show_bug.cgi?id=349049
  Spawn a -pyXX package collection in separate .info when fixed.

  --disable-schemas-install disables installing the datafile, not just
  running the gconftool cache update. Not going to fix it now.

        Gnome component has gnomevfs-based API even if libgsf back-end
        is built with gio instead.
<<
License: LGPL
Maintainer: The Gnome Core Team <fink-gnome-c...@lists.sourceforge.net>
Homepage: http://www.gnumeric.org

--- NEW FILE: librsvg2.info ---
Package: librsvg2
Version: 2.26.0
Revision: 1

License: GPL/LGPL
Maintainer: Dave Vasilevsky <v...@users.sourceforge.net>
Description: SAX-based render library for SVG files
Homepage: http://www.gnome.org/

Source: mirror:gnome:sources/librsvg/2.26/librsvg-%v.tar.bz2
Source-MD5: 65dbd726a514fe8b797d26254b8efc1e


ConfigureParams: --with-svgz --with-croco --enable-gtk-theme 
--enable-pixbuf-loader --enable-gtk-doc --disable-dependency-tracking 
--mandir=%p/share/man --disable-mozilla-plugin 
PKG_CONFIG_PATH="%p/lib/fontconfig2/lib/pkgconfig:$PKG_CONFIG_PATH" 
--disable-static
SetCPPFLAGS: -I%p/lib/fontconfig2/include
SetLDFLAGS: -L%p/lib/fontconfig2/lib
SetCFLAGS: -Os
CompileScript: <<
        ./configure %c
        make
<<

InstallScript: make -j1 install DESTDIR="%d"


DocFiles: AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO

BuildDependsOnly: true
BuildDepends: <<
        atk1                    (>= 1.26.0-1),
        bzip2-dev,
        cairo                   (>= 1.8-1),
        expat1,
        fink (>= 0.24.12-1),
        fontconfig2-dev         (>= 2.4.1-1),
        freetype219             (>= 2.3.8-2),
        glib2-dev               (>= 2.20.0-1),
        glitz,
        gtk+2-dev               (>= 2.16.0-1),
        gtk-doc (>= 1.8-1),
        libart2                 (>= 2.3.10-1),
        libcroco3               (>= 0.6.2-1),
        libgettext3-dev,
        libgsf1.114-dev         (>= 1.14.14-1),
        libiconv-dev,
        libpng3,
        libxml2                 (>= 2.6.30-1),
        pango1-xft2-ft219-dev   (>= 1.22.4-3),
        pkgconfig               (>= 0.23),
        pixman                  (>= 0.12.0-1),
        x11-dev,
        xft2-dev
<<
Depends: %N-shlibs (= %v-%r)


SplitOff: <<
        Package: %N-shlibs
        
        Depends: <<
                atk1-shlibs             (>= 1.26.0-1),
                bzip2-shlibs,
                cairo-shlibs (>= 1.8-1),
                expat1-shlibs,
                fontconfig2-shlibs      (>= 2.4.1-1),
                freetype219-shlibs      (>= 2.3.8-2),
                glib2-shlibs            (>= 2.20.0-1),
                glitz-shlibs,
                gtk+2-shlibs            (>= 2.16.0-1),
                libart2-shlibs          (>= 2.3.10-1),
                libcroco3-shlibs        (>= 0.6.2-1),
                libgettext3-shlibs,
                libgsf1.114-shlibs      (>= 1.14.14-1),
                libiconv,       
                libgettext3-shlibs,
                libpng3-shlibs,
                libxml2-shlibs          (>= 2.6.30-1),
                pango1-xft2-ft219-shlibs        (>= 1.22.4-3),
                pixman-shlibs (>= 0.12.0-1),
                x11
        <<
        
        Files: lib/librsvg-2.*.dylib
        Shlibs: %p/lib/librsvg-2.2.dylib 29.0.0 %n (>= 2.26.0-1)
        DocFiles: COPYING*
<<

SplitOff2: <<
        Package: %N-gtk
        Description: Enable GTK to use SVG data
        
        Depends: %N-shlibs (= %v-%r), gtk+2 (>= 2.16.0-1)
        Replaces: %N (<< 2.6.5-10)
        
        Files: <<
                lib/gtk-2.0/2.10.0/engines/libsvg.so
                lib/gtk-2.0/2.10.0/loaders/svg_loader.so
        <<
        DocFiles: COPYING*
        
        PostInstScript: <<
                . %p/bin/init.sh
                if [ configure = "$1" ]; then
                        DYLD_FALLBACK_LIBRARY_PATH=: update-gdk-pixbuf-loaders
                fi
        <<
        PostRmScript: <<
                . %p/bin/init.sh
                if [ upgrade != "$1" ]; then
                        DYLD_FALLBACK_LIBRARY_PATH=: update-gdk-pixbuf-loaders
                fi
        <<
<<

SplitOff3: <<
        Package: %N-bin
        
        Depends: <<
                %N-shlibs (= %v-%r)
        <<
        Replaces: %N (<< 2.6.5-10)
        
        Files: bin share/man share/pixmaps
        DocFiles: COPYING*
<<

DescPort: <<
        - Disable Mozilla plugin, use librsvg2-mozilla (or -seamonkey,
          or whatever) to build that.
<<
DescPackaging: <<
        dmacks (2.26.0-1): moved devhelp docs %p/share/doc/%N/html ->
        %p/share/gtk-doc (standard location for these files) so
        dev-help system can find them.

        dmacks (2.26.0-1): disabled build of static lib
<<


------------------------------------------------------------------------------
OpenSolaris 2009.06 is a cutting edge operating system for enterprises 
looking to deploy the next generation of Solaris that includes the latest 
innovations from Sun and the OpenSource community. Download a copy and 
enjoy capabilities such as Networking, Storage and Virtualization. 
Go to: http://p.sf.net/sfu/opensolaris-get
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to